Bug 71121 - a bug in serial driver device naming
Summary: a bug in serial driver device naming
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-08 23:36 UTC by petrosyan
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 11:00:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description petrosyan 2002-08-08 23:36:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
serial device is named as ttyS01 instead of ttyS1
this bug was first introduced in 2.4.19pre7 and fixed later.
I found about it in LKML archives dated April 16th 2002.

Version-Release number of selected component (if applicable):
2.4.18-7.93

How reproducible:
Always

Steps to Reproduce:
dmesg | more

Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS01 at 0x02f8 (irq = 3) is a 16550A

Actual Results:  there is no device named ttyS01, there are ttyS1 and others.

Additional info:

there is no way I can use my serial device with this kernel.

Comment 1 Arjan van de Ven 2002-08-13 11:00:10 UTC
fixed for the next build

Comment 2 Jay Turner 2002-08-16 14:18:16 UTC
Fix confirmed with kernel-2.4.18-11.


Note You need to log in before you can comment on or make changes to this bug.